
# .[d]. ircd.chat/6697 #tcpdirect
![video](https://ansibomb.com/publ1c/dr1p4ns1.gif)
```
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMh+MMMMMMMMMMMMMMhsMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMm/ oMMMMMMMMMMMMMMm +NMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMy`  yMMMMMMMMMMMMMMM- -mMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMs+dMMMMMMMMMM+    sMMMMMMMMMMMMMMM-  `dMMMMMMMMMMms/NMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMM+ .omMMMMMM:     -MMMMMMMMMMMMMMo    `yMMMMMMMy: `dMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMM-   /dMMM+       sMMMMMMMMMMMMh      `hMMMNo`   sMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMd     :dm        `mMMMMMMMMMMN.       .NNo`    .MMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMM:      -         :MMMMMMMMMMs         :`      sMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMs                 ymNMMMMMNm.                 NMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMy                    `-/-`                   .MMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMo                                            .NMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMNh+.                                               :sdMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMhso+:.                                                      `-/+syMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMM-                                                                 dMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMM`   `.:+/.                                              `/s+:.    sMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMNo   -oms.             .//-`               `:/:`            `+md+`  .hMMMMMMMMMMMMMMM
MMMMMMMMMMMMMNs`                        .odNdo.       .ohmd+`                        :dMMMMMMMMMMMMM
MMMMMMMMMMMNo`                             ..           .-                             :hMMMMMMMMMMM
MMMMMMMMMd+`                                                                             -sNMMMMMMMM
MMMMMMNs-                         `..                          `/-.                        `+dMMMMMM
MMMNy:                       ./sdNMMMh:                      `sNMMMNds/.                      .odMMM
MM+                       :ymMMMMMMMMMMh.                   +NMMMMMMMMMMmo-                      /NM
MMMh:                  .sNMMMMMMMMMMMMMMN-                `hMMMMMMMMMMMMMMMm+`                 :hMMM
MMMMMd:`       ``-:+shmMMMMMMMMMMMMMMMMMMN.               hMMMMMMMMMMMMMMMMMMMmhs+/-..``````./dMMMMM
MMMMMMMMMNNNNNNMMMMMMMMMMMMMMMMMMMMMMMMMMMo              .MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMy              .MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMN.             /MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMN+`         `+NMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMNs.    -hMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMdyymMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
```
## summary
```
dr1p4ns1 v2.667 - cp437 ansi parser
```
## screenshots
![screenshots](screenshots/ss1.jpg)
![screenshots](screenshots/ss2.jpg)
## overview
```
a menu system to browse ansi files, copy/remove files, preview ansi files and pump them out over irc.
ansi files can be queued so that when you pump they are being sent in a sequential manner.
```
## prerequisites 
- `python3`
## content
- dr1p4ns1.py - **main file**
- ansiscii/*.ans - **example: directory of ansi files**
## usage
- syntax: `python3 dr1p4ns1.py` - **will load all the ansi files in the present working directory**
- syntax: `python3 dr1p4ns1.py ansiscii` - **will load all the ansi files in this directory path**
## setting up environment
- `git clone --recursive https://git.tcp.direct/decoded/dr1p4ns1.git`
## notes
- **PUMPQUEUE:** using the q key you can queue up a bunch of ansis to pump, then just press p to fire
  them off. if there is nothing in the queue then whatever is on the screen will be pumped to fifo.
- **FIFO:** in order to use the pump feature, you need a fifo setup in something like weechat/irsii/etc..
  if you have one setup, adjust the FIFO_PATH at the top of dr1p4ns1.py
## changelog - v2.700
```
- ! fixed autopump of full directory index if no files are in pumpqueue
- ? added more subtle coloring for prompts showing filename, abort pump locally and filename at the end of pump if enabled
```
## changelog - v2.669
```
- ! fixed auto-width and autopump queue filename bugs
```
## changelog - v2.668
```
- ! fixed two autopump bugs
```
## changelog - v2.667
```
- ! added an autopumping feature. if you press 'z' autopump will pump either the directory or pumpqueue.
- ! fixed some various bugs which inhibited a file loading, or would crash, or simply freeze output.
- ! added an abort feature to abort midpump, simply press anykey while pumping and it will abort.
- ! added a filename display feature, this will display the file pumped after each pump.
- ? press 'f' to disable, by default it is enabled.. change SHOW_FILENAME from True to False to set.
```
## changelog - v2.666
```
- ! added a floodrate delay interval for servers like efnet, press d to set the delay interval
- ? the delay option waits x seconds between each line sent to a server to prevent a server flood kick/ban
- ? an integer like 0, 1, 2 etc or even float 0.3, 1.666 fractions are accepted as a delay interval
- ! fixed a bug where the pre-screening of certain ansi files would trip on 7h\x1b 
```
